Reflection mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 This type is safe for multithreaded operations. System.Object System.Reflection.ICustomAttributeProvider System.Runtime.InteropServices._ParameterInfo System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.None) System.Runtime.InteropServices.ComDefaultInterface(typeof(System.Runtime.InteropServices._ParameterInfo)) System.Runtime.InteropServices.ComVisible(true) Requires permission to reflect non-public members of a type in loaded assemblies. See .

Use an instance of ParameterInfo to obtain information about the parameter's data type, default value, and so on.

returns an array of ParameterInfo objects representing the parameters of a method, in order.

Discovers the attributes of a parameter and provides access to parameter metadata.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor is called only by classes that derive from .

  Initializes a new instance of the ParameterInfo class.

  0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.ParameterAttributes

  A value representing the attributes for the parameter reflected by the current instance.

  This method utilizes the method.

  To get the array, first get the method or the constructor and then call .

  Gets the attributes for this parameter.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.ParameterAttributes

  This field is intended only for users who are deriving classes from ParameterInfo.

  Typical access to parameter attributes is through .

  The attributes of the parameter.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type

  This field is intended only for users who are deriving classes from ParameterInfo.

  Typical access to parameter types is through .

  The Type of the parameter.

- Property
  4.0.0.0
  System.Collections.Generic.IEnumerable<System.Reflection.CustomAttributeData> To be added. To be added.

  Gets a collection that contains this parameter's custom attributes.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object To be added.

  This property is used only in the execution context. In the reflection-only context, use the property instead.

  The default value is used when an actual value is not specified in the method call. A parameter can have a default value that is null. This is distinct from the case where a default value is not defined.

  This method utilizes the method.

  To get the array, first get the method or the constructor and then call .

  Gets a value indicating the default value if the parameter has a default value.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object

  This field is intended only for users who are deriving classes from ParameterInfo.

  Typical access to the default value of the parameter is through .

  The default value of the parameter.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object[] ``

  This method ignores the parameter. To search the inheritance chain for attributes on parameters, use the appropriate overloads of the method.

  Gets all the custom attributes defined on this parameter.

  An array that contains all the custom attributes applied to this parameter.

  This argument is ignored for objects of this type. See Remarks.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object[] `` ``

  This method ignores the parameter. To search the inheritance chain for attributes on parameters, use the appropriate overloads of the method.

  Gets the custom attributes of the specified type or its derived types that are applied to this parameter.

  An array that contains the custom attributes of the specified type or its derived types.

  The custom attributes identified by type. This argument is ignored for objects of this type. See Remarks.
- Method
  4.0.0.0
  System.Collections.Generic.IList<System.Reflection.CustomAttributeData>

  Use this method to examine the custom attributes of code in the reflection-only context, in cases where the custom attributes themselves are defined in code that is loaded into the reflection-only context. Methods such as and cannot be used in such cases, because they create instances of the attributes. Code in the reflection-only context cannot be executed. For more information and example code, see the class.

  Returns a list of objects for the current parameter, which can be used in the reflection-only context.

  A generic list of objects representing data about the attributes that have been applied to the current parameter.

- Method
  2.0.0.0
  4.0.0.0
  System.Type[]

  The and methods are provided for designers of managed compilers. For more information on custom modifiers, see and related classes in the namespace, and the metadata specification in the ECMA Partition II documentation. The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the Ecma International Web site.

  Gets the optional custom modifiers of the parameter.

  An array of objects that identify the optional custom modifiers of the current parameter, such as or .

- Method
  2.0.0.0
  4.0.0.0
  System.Type[]

  The and methods are provided for designers of managed compilers. For more information on custom modifiers, see and related classes in the namespace, and the metadata specification in the ECMA Partition II documentation. The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the Ecma International Web site.

  Gets the required custom modifiers of the parameter.

  An array of objects that identify the required custom modifiers of the current parameter, such as or .

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether this parameter has a default value.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  This method ignores the parameter. To search the inheritance chain for attributes on parameters, use the appropriate overloads of the method.

  Determines whether the custom attribute of the specified type or its derived types is applied to this parameter.

  true if one or more instances of or its derived types are applied to this parameter; otherwise, false.

  The Type object to search for. This argument is ignored for objects of this type. See Remarks.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This method depends on an optional metadata flag. This flag can be inserted by compilers, but the compilers are not obligated to do so.

  This method utilizes the In flag of the ParameterAttributes enumerator.

  To get the array, first get the method or the constructor and then call .

  Gets a value indicating whether this is an input parameter.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This method depends on an optional metadata flag. This flag can be inserted by compilers, but the compilers are not obligated to do so.

  This method utilizes the Lcid flag of the ParameterAttributes enumerator.

  To get the array, first get the method or the constructor and then call .

  Gets a value indicating whether this parameter is a locale identifier (lcid).

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This method depends on an optional metadata flag. This flag can be inserted by compilers, but the compilers are not obligated to do so.

  This method utilizes the Optional flag of the ParameterAttributes enumerator.

  To get the array, first get the method and then call .

  Gets a value indicating whether this parameter is optional.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This method depends on an optional metadata flag. This flag can be inserted by compilers, but the compilers are not obligated to do so.

  This method utilizes the Out flag of the ParameterAttributes enumerator.

  To get the array, first get the method or the constructor and then call .

  Gets a value indicating whether this is an output parameter.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This method depends on an optional metadata flag. This flag can be inserted by compilers, but the compilers are not obligated to do so.

  This method utilizes the Retval flag of the ParameterAttributes enumerator.

  To get the array, first get the method or the constructor and then call .

  Gets a value indicating whether this is a Retval parameter.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MemberInfo To be added. To be added.

  Gets a value indicating the member in which the parameter is implemented.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MemberInfo

  This field is intended only for users who are deriving classes from ParameterInfo.

  Typical access to the parameter name is through the .

  The member in which the field is implemented.

- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  To get the module, use the property of the member that defines this parameter.

  The tokens obtained using this property can be passed to the unmanaged Reflection API. For more information, please see The Unmanaged Reflection API.

  Gets a value that identifies this parameter in metadata.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  A that contains the name of the parameter reflected by the current instance.

  This property utilizes the protected field, and depends on an optional metadata flag that might not be available in all compilers.

  To get the array, first get the method or the constructor and then call the method.

  If this represents a return value (that is, if it was obtained by using the property), this property will be null.

  Gets the name of the parameter.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  This field is intended only for users who are deriving classes from ParameterInfo.

  Typical access to the parameter name is through the .

  The name of the parameter.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type

  The of the parameter reflected by the current instance.

  This method depends on an optional metadata and might not be available in all compilers.

  To get the array, first get the method or the constructor and then call .

  Gets the Type of this parameter.

  0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Only parameters in the method signature (that is, in the formal parameter list) are considered when calculating the position. For instance methods, the hidden parameter that represents this (Me in Visual Basic) is not counted.

  This method utilizes the method.

  To get the array, first get the method or the constructor and then call .

  Gets the zero-based position of the parameter in the formal parameter list.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  This field is intended only for users who are deriving classes from ParameterInfo.

  Typical access to the name of the parameter is through .

  The zero-based position of the parameter in the parameter list.

- Property
  2.0.0.0
  4.0.0.0
  System.Object To be added.

  This property can be used in both the execution context and the reflection-only context.

  The default value is used when an actual value is not specified in the method call. A parameter can have a default value that is null. This is distinct from the case where a default value is not defined.

  To get the array, first get the method or the constructor and then call the method.

  Gets a value indicating the default value if the parameter has a default value.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code. For more information about IDispatch::GetTypeInfo, see the MSDN Library.

  Retrieves the type information for an object, which can then be used to get the type information for an interface.

  The type information to return. The locale identifier for the type information. Receives a pointer to the requested type information object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  Gets the parameter type and name represented as a string.

  A string containing the type and the name of the parameter.

0